Bug 1730 - lsb-lib should require libpng0, not libpng3
: lsb-lib should require libpng0, not libpng3
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-27 18:35 MSK by Denis Silakov
Modified: 2013-03-01 12:10 MSK (History)
2 users (show)

See Also:
RPM Package: lsb
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-02-27 18:35:48 MSK
Currently lsb-lib package requires libpng3:

$ urpmq --requires lib-lsb | grep png
libpng3

However, in Desktop Fresh libpng3 provides libpng.so.3 library, while LSB specification requires libpng.12.so.0. The latter is provided by libpng0.

So lsb-lib should require libpng0 (lib64png0 on 64bit system), not libpng3.
Comment 1 Denis Silakov 2013-02-28 11:44:01 MSK
Advisory:

lsb-lib package fixed to require libpng12.so.0, not libpng.so.3

Build lists:
https://abf.rosalinux.ru/build_lists/967958
https://abf.rosalinux.ru/build_lists/967957
Comment 2 Vladimir Potapov 2013-02-28 14:02:18 MSK
after update and reboot:

urpmq --requires lsb-lib64 | grep png
--requires behaviour changed, use --requires-recursive to get the old behaviour
lsb-lib64: lib64png0
lsb-lib64: lib64png3
Comment 3 Denis Silakov 2013-02-28 14:04:02 MSK
That's correct, since you have two lsb-lib packages - in in main/release (it requires lib64png3), the other one comes from updates (and will go to main/updates), it requires lib64png0.
Comment 4 Vladimir Potapov 2013-03-01 10:25:48 MSK
lsb-lib-4.1-10-rosa2012.1
******************** Advisory *******************
lsb-lib package fixed to require libpng12.so.0, not libpng.so.3
*************************************************
QA Verified